1. Occupation Profiles
IBISWorld API
  • Overview
    • ๐Ÿš€ Getting Started
    • ๐Ÿ“Š About IBISWorld
    • ๐ŸšฆRate Limits & Data Size
    • ๐ŸŒ API Uptime, SLA & Support
    • ๐Ÿ“Œ Versioning & API Changes
    • โ“Frequently Asked Questions (FAQs)
    • ๐Ÿ“ฐ API Release Notes
    • Authentication
      POST
  • How-To Guides
    • ๐Ÿ” How To: Convert ANZSIC โžœ IBISWorld Report
    • ๐Ÿ“ฅ How To: Download an IBISWorld PDF Report
  • Industry
    • Risk
      • Risk Reports List
      • Recently Updated Risk Reports List
      • Full Industry Risk Report
      • Sections of Risk Report
      • Early Warning System (EWS)
    • States (US) & Provinces (Canada)
      • Industry Reports List
      • Full Industry Report
      • Sections of Industry Report
    • Segment Benchmarking (US)
      • Full Segment Benchmarking Report
      • Sections of a Segment Benchmarking Report
    • ESG
      • Full ESG Report
      • Sections of ESG Report
    • Industry Reports List
    • Recently Updated Industry Reports List
    • Sections of Industry Report
    • Full Industry Report
    • One Section from Multiple Industry Reports
    • Industry Report Images
  • Classifications
    • List of Classification System Versions
    • List of Classification System Titles and Codes
    • Classification System to IBISWorld Report Concordance
    • IBISWorld Report to Classification System Concordance
  • Downloads
    • Download a Report
  • Business Environment Profiles
    • BED Reports List
    • Recently Updated BED Reports List
    • Full BED Report
    • Sections of BED Report
  • Company
    • Company Reports List (Australia)
    • Recently Updated Company Reports List
    • Full Company Report (Australia)
    • Sections of Company Report (Australia)
  • Procurement
    • Procurement Reports
    • Recently Updated Procurement Reports List
    • Sections of Procurement Report
  • Occupation Profiles
    • Occupation Report List
      POST
    • Recently Updated Occupation Report List
      POST
    • Full Occupation Report
      POST
    • Sections of Occupation Report
      POST
  • Schemas
    • classification_system_version
    • ibis_report_concordance
    • ibis_industry_report
    • ibis_industry_risk_report
    • ibis_bed_report
    • ibis_company_report
  1. Occupation Profiles

Recently Updated Occupation Report List

POST
/occupation/v3/updatedreports
Returns a list of IBISWorld occupation profiles that have been updated within a specified date range.
This is especially useful for synchronizing your system with the latest wage data without re-downloading all profiles. Because occupation data is updated annually, query this endpoint to detect when new BLS OEWS data has been published and refresh only the affected profiles.
Query StartDate and EndDate to fetch only the occupation profiles that changed in that period.

Best Practices#

Use this endpoint to identify which occupation profiles need refreshing before calling /occupation/v3/fullreport.
For annual refresh cycles, query with a StartDate and EndDate spanning the expected BLS publication window (typically Q1โ€“Q2 of each year).
For high-frequency integrations, ensure you respect the Rate Limits.

Request

Authorization
Add the parameter
Authorization
to Headers
๏ผŒwhose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
{
    "Country": "US",
    "Language": "English",
    "StartDate": "2025-05-15",
    "EndDate": "2026-05-16"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.ibisworld.com/occupation/v3/updatedreports' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "Country": "US",
    "Language": "English",
    "StartDate": "2025-05-15",
    "EndDate": "2026-05-16"
}'

Responses

๐ŸŸข200Success
application/json
Body

Example
[
    {
        "Country": "US",
        "Code": "291211",
        "Language": "English",
        "Title": "Anesthesiologists",
        "PublishedDate": "2025-08-18T00:10:10",
        "ReportCollection": ""
    },
    {
        "Country": "US",
        "Code": "292010",
        "Language": "English",
        "Title": "Clinical Laboratory Technologists and Technicians",
        "PublishedDate": "2025-08-18T00:10:10",
        "ReportCollection": ""
    },
    {
        "Country": "US",
        "Code": "274015",
        "Language": "English",
        "Title": "Lighting Technicians",
        "PublishedDate": "2025-08-18T00:10:10",
        "ReportCollection": ""
    }
]
๐ŸŸ 403403
๐ŸŸข204204
๐ŸŸ 401401
Modified atย 2026-03-26 02:36:26
Previous
Occupation Report List
Next
Full Occupation Report
Built with